core.node.subsystems / StorageServiceImpl

# StorageServiceImpl

`open class StorageServiceImpl : StorageService`

### Constructors

<init> | `StorageServiceImpl(attachments: AttachmentStorage, checkpointStorage: CheckpointStorage, myLegalIdentityKey: KeyPair, myLegalIdentity: Party = Party("Unit test party", myLegalIdentityKey.public), recordingAs: (String) -> String = { tableName -> "" })`

### Properties

attachments | `open val attachments: AttachmentStorage` Provides access to storage of arbitrary JAR files (which may contain only data, no code).
checkpointStorage | `open val checkpointStorage: CheckpointStorage`
myLegalIdentity | `open val myLegalIdentity: Party` Returns the legal identity that this node is configured with. Assumed to be initialised when the node is first installed.
myLegalIdentityKey | `open val myLegalIdentityKey: KeyPair`
recordingAs | `val recordingAs: (String) -> String`
tables | `val tables: HashMap<String, MutableMap<*, *>>`
validatedTransactions | `open val validatedTransactions: MutableMap<SecureHash, SignedTransaction>` A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures arent technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.